/**
 * Analytics API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

export class WorkerResponse {
    public internalId: string;

    public version: number;

    public coreId: string;

    public name: string;

    public image: string;

    public fields: string;

    public trades: string[];

    public meta: object;

    /**
     * Creates a WorkerResponse.
     *
     * @param {string} internalId
     * @param {number} version
     * @param {string} coreId
     * @param {string} name
     * @param {string} image
     * @param {string} fields
     * @param {string} trades
     * @param {object} meta
     */
    constructor(internalId: string, version: number, coreId: string, name: string, image: string, fields: string, trades: string[], meta: object) {
        this.internalId = internalId;
        this.version = version;
        this.coreId = coreId;
        this.name = name;
        this.image = image;
        this.fields = fields;
        this.trades = trades;
        this.meta = meta;
    }
}
